- [HTTP request](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.request_body)
  - [JSON representation](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.response_body)
  - [JSON representation](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.QueryErrorCountMetricSetResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.counts/query#body.aspect)

Queries the metrics in the metrics set.

### HTTP request

`POST https://playdeveloperreporting.googleapis.com/v1alpha1/{name=apps/*/errorCountMetricSet}:query`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name. Format: apps/{app}/errorCountMetricSet |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "timelineSpec": { object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#TimelineSpec`) }, "dimensions": [ string ], "metrics": [ string ], "pageSize": integer, "pageToken": string, "filter": string } ``` |

| Fields ||
|---|---|
| `timelineSpec` | ``object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#TimelineSpec`)`` Optional. Specification of the timeline aggregation parameters. **Supported aggregation periods:** - `https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/AggregationPeriod#ENUM_VALUES.DAILY`: metrics are aggregated in calendar date intervals. The default and only supported timezone is `America/Los_Angeles`. |
| `dimensions[]` | `string` Optional. Dimensions to slice the data by. **Supported dimensions:** - `apiLevel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the API level of Android that was running on the user's device, e.g., 26. - `versionCode` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.int64_value`): unique identifier of the user's device model. The form of the identifier is 'deviceBrand/device', where deviceBrand corresponds to Build.BRAND and device corresponds to Build.DEVICE, e.g., google/coral. - `deviceModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): unique identifier of the user's device model. - `deviceType` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): identifier of the device's form factor, e.g., PHONE. - `reportType` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the type of error. The value should correspond to one of the possible values in `https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/ErrorType`. - `issueId` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): the id an error was assigned to. The value should correspond to the `{issue}` component of the `https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/vitals.errors.issues#ErrorIssue.FIELDS.name`. - `deviceRamBucket` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.int64_value`): RAM of the device, in MB, in buckets (e.g., 1024 for 1-1.5GB, 4096 for 4-6GB). - `deviceSocMake` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Make of the device's primary system-on-chip, e.g., Samsung. [Reference](https://developer.android.com/reference/android/os/Build#SOC_MANUFACTURER) - `deviceSocModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Model of the device's primary system-on-chip, e.g., "Exynos 2100". [Reference](https://developer.android.com/reference/android/os/Build#SOC_MODEL) - `deviceCpuMake` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Make of the device's CPU, e.g., Qualcomm. - `deviceCpuModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Model of the device's CPU, e.g., "Kryo 240". - `deviceGpuMake` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Make of the device's GPU, e.g., ARM. - `deviceGpuModel` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Model of the device's GPU, e.g., Mali. - `deviceGpuVersion` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Version of the device's GPU, e.g., T750. - `deviceVulkanVersion` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Vulkan version of the device, e.g., "4198400". - `deviceGlEsVersion` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): OpenGL ES version of the device, e.g., "196610". - `deviceScreenSize` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Screen size of the device, e.g., NORMAL, LARGE. - `deviceScreenDpi` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): Screen density of the device, e.g., mdpi, hdpi. |
| `metrics[]` | `string` Optional. Metrics to aggregate. **Supported metrics:** - `errorReportCount` (`google.type.Decimal`): Absolute count of individual error reports that have been received for an app. - `distinctUsers` (`google.type.Decimal`): Count of distinct users for which reports have been received. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. This value is not rounded, however it may be an approximation. |
| `pageSize` | `integer` Optional. Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` Optional. A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token. |
| `filter` | `string` Optional. Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions and: - `isUserPerceived` (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#DimensionValue.FIELDS.string_value`): denotes whether error is user perceived or not, USER_PERCEIVED or NOT_USER_PERCEIVED. |

### Response body

Error counts query response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rows": [ { object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/MetricsRow`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rows[]` | ``object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/MetricsRow`)`` Returned rows. |
| `nextPageToken` | `string` Continuation token to fetch the next page of data. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/playdeveloperreporting`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).